<!DOCTYPE html>
<html lang="en">
  <head>
    <title>CurrencyRatePack Class Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a name="//apple_ref/swift/Class/CurrencyRatePack" class="dashAnchor"></a>
    <a title="CurrencyRatePack Class Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html"> Docs</a> (90% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html"> Reference</a>
        <img id="carat" src="../img/carat.png" />
        CurrencyRatePack Class Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/AppDelegate.html">AppDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/BackgroundController.html">BackgroundController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CoreDataManager.html">CoreDataManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyController.html">CurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRate.html">CurrencyRate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRateManager.html">CurrencyRateManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRatePack.html">CurrencyRatePack</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/CurrencyRatePackParser.html">CurrencyRatePackParser</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ExchangeController.html">ExchangeController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ExchangeModelManager.html">ExchangeModelManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/FromCurrencyController.html">FromCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/FromCurrencyPageController.html">FromCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetworkManager.html">NetworkManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetworkManager/NetworkManagerError.html">– NetworkManagerError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ToCurrencyController.html">ToCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ToCurrencyPageController.html">ToCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/UserData.html">UserData</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Enums.html">Enums</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Enums/CurrencyType.html">CurrencyType</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/RequestResult.html">RequestResult</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Extensions/NSManagedObject.html">NSManagedObject</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Functions.html">Functions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Functions.html#/s:F15testApplication8debugLogFTSS4fileVs12StaticString8functionS0_4lineSi_T_">debugLog(_:file:function:line:)</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/CurrencyControllerDelegate.html">CurrencyControllerDelegate</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>CurrencyRatePack</h1>
              <div class="declaration">
                <div class="language">
                  <pre class="highlight"><code><span class="kd">class</span> <span class="kt">CurrencyRatePack</span><span class="p">:</span> <span class="kt">NSManagedObject</span></code></pre>

                </div>
              </div>
            <p><strong>CurrencyRatePack</strong> is a subclass of <strong>NSManagedObject</strong>. <strong>CurrencyRatePack</strong> is a group/packet of <strong>CurrencyRate</strong> which were downloaded by one single packet.
In addition to <strong>rates</strong>, packet is also signed with name of server(<strong>sender</strong>), server&rsquo;s signed date(<strong>serverDate</strong>) and date when it was downloaded(<strong>clientDate</strong>)</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication16CurrencyRatePack15awakeFromInsertFT_T_"></a>
                    <a name="//apple_ref/swift/Method/awakeFromInsert()" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication16CurrencyRatePack15awakeFromInsertFT_T_">awakeFromInsert()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">CurrencyRatePack</span><span class="p">:</span> <span class="kt">NSManagedObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:ZFC15testApplication16CurrencyRatePack14insertRatePackFT9inContextCSo22NSManagedObjectContext_S0_"></a>
                    <a name="//apple_ref/swift/Method/insertRatePack(inContext:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:ZFC15testApplication16CurrencyRatePack14insertRatePackFT9inContextCSo22NSManagedObjectContext_S0_">insertRatePack(inContext:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Inserts new rate packet in managed object context.
- parameter context: managed object context where you want to insert new rate packet.
- returns: inserted packet object.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kd">func</span> <span class="nf">insertRatePack</span><span class="p">(</span><span class="n">inContext</span> <span class="nv">context</span><span class="p">:</span> <span class="kt">NSManagedObjectContext</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">CurrencyRatePack</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>context</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>managed object context where you want to insert new rate packet.</p>

                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div>
                        <h4>Return Value</h4>
                        <p>inserted packet object.</p>

                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:ZFC15testApplication16CurrencyRatePack19rateForCurrencyTypeFTOS_12CurrencyType4packS0_9inContextCSo22NSManagedObjectContext_GSqCSo15NSDecimalNumber_"></a>
                    <a name="//apple_ref/swift/Method/rateForCurrencyType(_:pack:inContext:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:ZFC15testApplication16CurrencyRatePack19rateForCurrencyTypeFTOS_12CurrencyType4packS0_9inContextCSo22NSManagedObjectContext_GSqCSo15NSDecimalNumber_">rateForCurrencyType(_:pack:inContext:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Gets rate of currency from packet in a specified managed object context.
- parameter currencyType: type of currency you are searhing for.
- parameter pack: packet of rates to search in. Pack could be from any context.
- parameter context: managed object context to search in.
- returns: found rate&rsquo;s value or <strong>nil</strong> if it wasn&rsquo;t found.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kd">func</span> <span class="nf">rateForCurrencyType</span><span class="p">(</span><span class="n">_</span> <span class="nv">currencyType</span><span class="p">:</span> <span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span><span class="p">,</span> <span class="nv">pack</span><span class="p">:</span> <span class="kt">CurrencyRatePack</span><span class="p">,</span> <span class="n">inContext</span> <span class="nv">context</span><span class="p">:</span> <span class="kt">NSManagedObjectContext</span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">NSDecimalNumber</span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>currencyType</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>type of currency you are searhing for.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>pack</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>packet of rates to search in. Pack could be from any context.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>context</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>managed object context to search in.</p>

                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div>
                        <h4>Return Value</h4>
                        <p>found rate’s value or  if it wasn’t found.</p>

                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:ZFC15testApplication16CurrencyRatePack10rateOfPackFTS0_9inContextCSo22NSManagedObjectContext4fromOS_12CurrencyType2toS2__GSqCSo15NSDecimalNumber_"></a>
                    <a name="//apple_ref/swift/Method/rateOfPack(_:inContext:from:to:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:ZFC15testApplication16CurrencyRatePack10rateOfPackFTS0_9inContextCSo22NSManagedObjectContext4fromOS_12CurrencyType2toS2__GSqCSo15NSDecimalNumber_">rateOfPack(_:inContext:from:to:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Gets a rate between two currencies(1 x <strong>X</strong> = (rate) x <strong>Y</strong> ) from packet in a specified managed object context.
- parameter pack: currency packet which contains rates of bouth currecnies.
- parameter context: managed object context to search in.
- parameter fromCurrencyType: source currency.
- parameter toCurrencyType: destination currency
- returns: found rate&rsquo;s value or <strong>nil</strong> if it wasn&rsquo;t found.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kd">func</span> <span class="nf">rateOfPack</span><span class="p">(</span><span class="n">_</span> <span class="nv">pack</span><span class="p">:</span> <span class="kt">CurrencyRatePack</span><span class="p">,</span> <span class="n">inContext</span> <span class="nv">context</span><span class="p">:</span> <span class="kt">NSManagedObjectContext</span><span class="p">,</span> <span class="n">from</span> <span class="nv">fromCurrencyType</span><span class="p">:</span> <span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span><span class="p">,</span> <span class="n">to</span> <span class="nv">toCurrencyType</span><span class="p">:</span> <span class="kt"><a href="../Enums/CurrencyType.html">CurrencyType</a></span><span class="p">)</span> <span class="o">-&gt;</span> <span class="kt">NSDecimalNumber</span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                      <div>
                        <h4>Parameters</h4>
                        <table class="graybox">
                          <tbody>
                            <tr>
                              <td>
                                <code>
                                <em>pack</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>currency packet which contains rates of bouth currecnies.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>context</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>managed object context to search in.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>fromCurrencyType</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>source currency.</p>

                                </div>
                              </td>
                            </tr>
                            <tr>
                              <td>
                                <code>
                                <em>toCurrencyType</em>
                                </code>
                              </td>
                              <td>
                                <div>
                                  <p>destination currency</p>

                                </div>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                      <div>
                        <h4>Return Value</h4>
                        <p>found rate’s value or  if it wasn’t found.</p>

                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:ZFC15testApplication16CurrencyRatePack12fetchRequestFT_GCSo14NSFetchRequestS0__"></a>
                    <a name="//apple_ref/swift/Method/fetchRequest()" class="dashAnchor"></a>
                    <a class="token" href="#/s:ZFC15testApplication16CurrencyRatePack12fetchRequestFT_GCSo14NSFetchRequestS0__">fetchRequest()</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">class</span> <span class="kt">CurrencyRatePack</span><span class="p">:</span> <span class="kt">NSManagedObject</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication16CurrencyRatePack10clientDateCSo6NSDate"></a>
                    <a name="//apple_ref/swift/Property/clientDate" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication16CurrencyRatePack10clientDateCSo6NSDate">clientDate</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Date when packet was inserted to database.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">@NSManaged</span> <span class="k">var</span> <span class="nv">clientDate</span><span class="p">:</span> <span class="kt">NSDate</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication16CurrencyRatePack10serverDateGSqCSo6NSDate_"></a>
                    <a name="//apple_ref/swift/Property/serverDate" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication16CurrencyRatePack10serverDateGSqCSo6NSDate_">serverDate</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Date when packet was created by server.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">@NSManaged</span> <span class="k">var</span> <span class="nv">serverDate</span><span class="p">:</span> <span class="kt">NSDate</span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication16CurrencyRatePack6senderGSqSS_"></a>
                    <a name="//apple_ref/swift/Property/sender" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication16CurrencyRatePack6senderGSqSS_">sender</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server&rsquo;s(Organization&rsquo;s) name</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">@NSManaged</span> <span class="k">var</span> <span class="nv">sender</span><span class="p">:</span> <span class="kt">String</span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:vC15testApplication16CurrencyRatePack5ratesGSqCSo5NSSet_"></a>
                    <a name="//apple_ref/swift/Property/rates" class="dashAnchor"></a>
                    <a class="token" href="#/s:vC15testApplication16CurrencyRatePack5ratesGSqCSo5NSSet_">rates</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Set of currency rates</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">@NSManaged</span> <span class="k">var</span> <span class="nv">rates</span><span class="p">:</span> <span class="kt">NSSet</span><span class="p">?</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <div class="task-name-container">
                <a name="/rates%20references"></a>
                <a name="//apple_ref/swift/Section/rates references" class="dashAnchor"></a>
                <a href="#/rates%20references">
                  <h3 class="section-name">rates references</h3>
                </a>
              </div>
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication16CurrencyRatePack7addRateFCS_12CurrencyRateT_"></a>
                    <a name="//apple_ref/swift/Method/addRate(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication16CurrencyRatePack7addRateFCS_12CurrencyRateT_">addRate(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Adds currency rate to <strong>rates</strong></p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">addRate</span><span class="p">(</span><span class="n">_</span> <span class="nv">rate</span><span class="p">:</span> <span class="kt"><a href="../Classes/CurrencyRate.html">CurrencyRate</a></span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication16CurrencyRatePack10removeRateFCS_12CurrencyRateT_"></a>
                    <a name="//apple_ref/swift/Method/removeRate(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication16CurrencyRatePack10removeRateFCS_12CurrencyRateT_">removeRate(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Removes currency rate from <strong>rates</strong></p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">removeRate</span><span class="p">(</span><span class="n">_</span> <span class="nv">rate</span><span class="p">:</span> <span class="kt"><a href="../Classes/CurrencyRate.html">CurrencyRate</a></span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication16CurrencyRatePack8addRatesFCSo5NSSetT_"></a>
                    <a name="//apple_ref/swift/Method/addRates(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication16CurrencyRatePack8addRatesFCSo5NSSetT_">addRates(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Adds set of currency rates to <strong>rates</strong></p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">addRates</span><span class="p">(</span><span class="n">_</span> <span class="nv">rates</span><span class="p">:</span> <span class="kt">NSSet</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FC15testApplication16CurrencyRatePack11removeRatesFCSo5NSSetT_"></a>
                    <a name="//apple_ref/swift/Method/removeRates(_:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:FC15testApplication16CurrencyRatePack11removeRatesFCSo5NSSetT_">removeRates(_:)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Removes set of currency rates from <strong>rates</strong></p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">func</span> <span class="nf">removeRates</span><span class="p">(</span><span class="n">_</span> <span class="nv">rates</span><span class="p">:</span> <span class="kt">NSSet</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2017 <a class="link" href="" target="_blank" rel="external"></a>. All rights reserved. (Last updated: 2017-01-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.7.3</a>, a <a class="link" href="http://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
